const echarts = require('echarts');

const init = (w=400,h=300)=> echarts.init(null, null, {
    renderer: 'svg', 
    ssr: true, 
    width: w, 
    height: h
  });
const createSingleChart = (option,w=400,h=300)=>{
      const chart = init(w,h)
      chart.setOption(option);
      const str = chart.renderToSVGString()
      chart.dispose()
      return str;
}

module.exports = {
    init:init,
    createSingleChart:createSingleChart
}